Package org.apache.tomcat.buildutil.translate

## Class BackportBase

- java.lang.Object
- - org.apache.tomcat.buildutil.translate.BackportBase

- Direct Known Subclasses:
    `BackportEnglish`, `BackportTranslations`

      public abstract class BackportBase
      extends java.lang.Object

  Base class providing common implementation for back-port utilities.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Properties` | `sourceEnglish` |
    `protected java.util.Map<java.lang.String,​java.util.Properties>` | `sourceTranslations` |
    `protected java.io.File` | `storageDir` |
    `protected java.util.Properties` | `targetEnglish` |
    `protected java.io.File` | `targetRoot` |
    `protected java.util.Map<java.lang.String,​java.util.Properties>` | `targetTranslations` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BackportBase​(java.lang.String... args)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `execute()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceTranslations

          protected final java.util.Map<java.lang.String,​java.util.Properties> sourceTranslations

    - #### targetTranslations

          protected final java.util.Map<java.lang.String,​java.util.Properties> targetTranslations

    - #### targetRoot

          protected final java.io.File targetRoot

    - #### sourceEnglish

          protected final java.util.Properties sourceEnglish

    - #### targetEnglish

          protected final java.util.Properties targetEnglish

    - #### storageDir

          protected final java.io.File storageDir

  - ### Constructor Detail

    - #### BackportBase

          protected BackportBase​(java.lang.String... args)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### execute

          protected abstract void execute()
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`